<?php

namespace App\Adapters;

use ModelCatalogProduct;
use Proxy;

class OcModelCatalogProductAdapter
{
    /** @var Proxy|ModelCatalogProduct */
    private Proxy $model;

    public function __construct($model)
    {
        $this->model = $model;
    }

    public function getProductOptions(int $productId): array
    {
        return $this->model->getProductOptions($productId);
    }

    /**
     * @param int $productId
     * @return array|false
     */
    public function getProduct(int $productId)
    {
        return $this->model->getProduct($productId);
    }
}
